.\" $NetBSD: clmpcc.4,v 1.5 2006/04/24 18:00:53 snj Exp $
.\"
.\" Copyright (c) 1999 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to The NetBSD Foundation
.\" by Steve C. Woodford.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd November 28, 1999
.Dt CLMPCC 4 mvme68k
.Os
.Sh NAME
.Nm clmpcc
.Nd Cirrus Logic CD2400/CD2401 serial communications controller
.Sh SYNOPSIS
.Cd "clmpcc0   at pcctwo? ipl 4"
.Sh DESCRIPTION
The
.Nm
driver provides support for the Cirrus Logic CD2401 Multi-protocol
Communications Controller found on Motorola MVME167 and MVME177
single-board computers.
.Pp
The chip integrates four serial channels in one package,
with each channel being completely independent and capable of
running in Async (with optional DMA control), Bisync, HDLC/SDLC and
X.21 modes. Each channel has 32 bytes of FIFO, split into 16 bytes
for the Tx side and 16 bytes for the Rx side.
.Pp
At the present time, the
.Nm
driver supports the non-DMA Async mode of operation, using the
channel FIFOs to maximize throughput with minimal interrupt overhead.
.Pp
The Motorola MVME1x7 boards provide a 20MHz master clock to the device,
which allows the Tx and Rx side to be independently set to any
baud rate in the range 50 to 57600.
The device should be capable of running at
a baud rate of 115200, however it is not a rate documented in the
device's datasheet for Async. mode so is not recommended.
.Sh FILES
.Bl -tag -width Pa
.It Pa /dev/console
.It Pa /dev/ttyC1
.It Pa /dev/ttyC2
.It Pa /dev/ttyC3
.El
.Sh DIAGNOSTICS
.Bl -diag
.It clmpcc%d: channel %d command timeout (idle)
The chip failed to acknowledge a command sent to the specified
channel.
.It clmpcc%d: Failed to reset chip
The
.Nm
driver was unable to determine if the chip completed
its RESET processing.
.El
.Sh SEE ALSO
.Xr pcctwo 4 ,
.Xr tty 4
.Sh HISTORY
The
.Nm
driver first appeared in
.Nx 1.4
and is
.Ud
.Sh BUGS
The hardware flow control features of the chip are not yet fully
supported.
